package pogr;

import java.awt.Canvas;
import java.awt.Graphics;
import java.awt.image.BufferedImage;

/**
 * Plátno, které při vykreslení zobrazí aktualní BufferedImage uložený v proměnné obrazek
 * @author Kamil Ondrák
 */
public class MujCanvas extends Canvas {

    protected BufferedImage obrazek;

    /**
     * Setter pro obrazek
     * @param _obrazek  nový obrázek
     */
    public void setObrazek(BufferedImage _obrazek) {
        obrazek = _obrazek;
    }
    
    @Override
    public void paint(Graphics g) {
        //super.paint(g);
        g.drawImage(obrazek, 0, 0, null);
        
    }

}
